Subject: [alpine-aports] [PATCH] testing/chan-sccp: new aport http://chan-sccp-b.sourceforge.net Chan-SCCP channel driver for Asterisk

From: Valery Kartel <[email-masked]>
Date: Fri, 11 Sep 2015 12:13:13 +0300

---
 testing/chan-sccp/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/chan-sccp/APKBUILD

diff --git a/testing/chan-sccp/APKBUILD b/testing/chan-sccp/APKBUILD
new file mode 100644
index 0000000..b92c2f7
--- /dev/null
+++ b/testing/chan-sccp/APKBUILD
@@ -0,0 +1,46 @@
+pkgname=chan-sccp
+pkgver=4.2
+pkgrel=0
+release=6168
+pkgdesc="Chan-SCCP channel driver for Asterisk"
+url="http://chan-sccp-b.sourceforge.net/";
+arch="all"
+license="GPL2"
+depends=""
+makedepends="asterisk-dev"
+install=""
+subpackages="${pkgname}-gen_sccpconf ${pkgname}-doc"
+source="http://downloads.sourceforge.net/project/chan-sccp-b/V${pkgver%.*}/Chan_SCCP-v${pkgver}_STABLE_r${release}.tar.gz"
+
+_builddir="$srcdir"/Chan_SCCP-v${pkgver}_STABLE_r${release}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make || return 1
+	cd contrib/gen_sccpconf
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+gen_sccpconf() {
+	pkgdesc="SCCP Config Generator"
+	cd "$_builddir"/contrib/gen_sccpconf
+	make DESTDIR="$subpkgdir" install || return 1
+	rm -fr "$subpkgdir"/usr/share
+}
+
+doc() {
+	arch="noarch"
+	cd "$_builddir"/conf
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+	cp -r . "$subpkgdir"/usr/share/doc/$pkgname
+	chmod -x "$subpkgdir"/usr/share/doc/$pkgname/*.sql
+}
+md5sums="ee32027f5741d3529c9a91dcd0bd1afd  Chan_SCCP-v4.2_STABLE_r6168.tar.gz"
+sha256sums="2ea36c96385dde68efc00d381e8f355643c2de3306bf68cd247e8a7b27c41d0b  Chan_SCCP-v4.2_STABLE_r6168.tar.gz"
+sha512sums="a74b3b07851f3865b1c4ecf706ae83dd185143f77e3fa8b84a3a3017b88571c303b59cdf31b43b14c16ac555de91ce43bdc74d9bdea25ad1e4c888f8e7bdfb14  Chan_SCCP-v4.2_STABLE_r6168.tar.gz"
-- 
2.5.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---